<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.hz.pm</groupId>
    <artifactId>hz-project-management</artifactId>
    <packaging>pom</packaging>
    <version>1.0.0</version>
    <name>hz-project-management</name>
    <description>丽水项管二期项目</description>

    <properties>
        <skipTests>true</skipTests>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <spring-boot.version>2.6.11</spring-boot.version>
        <maven.compiler.source>1.8</maven.compiler.source>
        <maven.compiler.target>1.8</maven.compiler.target>
        <jwt.version>3.7.0</jwt.version>
        <mybatis.plus.version>3.5.1</mybatis.plus.version>
        <io.springfox-swagger2.version>3.0.0</io.springfox-swagger2.version>
        <swagger-knife.version>3.0.3</swagger-knife.version>
        <fastjson.version>1.2.83</fastjson.version>
        <guava.version>31.1-jre</guava.version>
        <commons-pool2.version>2.11.1</commons-pool2.version>
    </properties>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>org.apache.poi</groupId>
                <artifactId>poi</artifactId>
                <version>5.2.2</version>
            </dependency>
            <dependency>
                <groupId>org.apache.poi</groupId>
                <artifactId>poi-ooxml</artifactId>
                <version>5.2.2</version>
            </dependency>
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>fastjson</artifactId>
                <version>${fastjson.version}</version>
            </dependency>
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-dependencies</artifactId>
                <version>${spring-boot.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <!-- mybatis plus -->
            <dependency>
                <groupId>com.baomidou</groupId>
                <artifactId>mybatis-plus-boot-starter</artifactId>
                <version>${mybatis.plus.version}</version>
            </dependency>
            <dependency>
                <groupId>com.google.guava</groupId>
                <artifactId>guava</artifactId>
                <version>${guava.version}</version>
            </dependency>
            <dependency>
                <groupId>com.ningdatech</groupId>
                <artifactId>nd-basic</artifactId>
                <version>1.0.0</version>
            </dependency>
            <dependency>
                <groupId>com.baomidou</groupId>
                <artifactId>mybatis-plus-extension</artifactId>
                <version>${mybatis.plus.version}</version>
            </dependency>
            <dependency>
                <groupId>com.ningdatech</groupId>
                <artifactId>nd-swagger2-starter</artifactId>
                <version>1.0.0</version>
            </dependency>
            <dependency>
                <groupId>com.ningdatech</groupId>
                <artifactId>nd-flowable-starter</artifactId>
                <version>1.0.1</version>
            </dependency>
            <dependency>
                <groupId>org.flowable</groupId>
                <artifactId>flowable-spring-boot-starter-actuator</artifactId>
                <version>6.7.2</version>
            </dependency>
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>easyexcel-core</artifactId>
                <version>3.1.2</version>
            </dependency>
            <dependency>
                <groupId>com.ningdatech</groupId>
                <artifactId>nd-file-starter</artifactId>
                <version>1.0.0</version>
            </dependency>
            <dependency>
                <groupId>com.ningdatech</groupId>
                <artifactId>nd-zwdd-starter</artifactId>
                <version>1.0.0</version>
            </dependency>
            <dependency>
                <groupId>com.ningdatech</groupId>
                <artifactId>nd-cache-starter</artifactId>
                <version>1.0.0</version>
            </dependency>
            <dependency>
                <groupId>com.ningdatech</groupId>
                <artifactId>nd-log-starter</artifactId>
                <version>1.0.0</version>
            </dependency>
            <dependency>
                <groupId>com.ningdatech</groupId>
                <artifactId>nd-irs-starter</artifactId>
                <version>1.0.0</version>
            </dependency>
            <dependency>
                <groupId>joda-time</groupId>
                <artifactId>joda-time</artifactId>
                <version>2.10.6</version>
            </dependency>
            <!--状态机-->
            <dependency>
                <groupId>org.springframework.statemachine</groupId>
                <artifactId>spring-statemachine-core</artifactId>
                <version>2.0.1.RELEASE</version>
            </dependency>

            <dependency>
                <groupId>com.itextpdf</groupId>
                <artifactId>itextpdf</artifactId>
                <version>5.5.9</version>
            </dependency>
            <dependency>
                <groupId>com.itextpdf</groupId>
                <artifactId>itext-asian</artifactId>
                <version>5.2.0</version>
            </dependency>
            <dependency>
                <groupId>com.itextpdf.tool</groupId>
                <artifactId>xmlworker</artifactId>
                <version>5.5.9</version>
            </dependency>
            <dependency>
                <groupId>org.xhtmlrenderer</groupId>
                <artifactId>flying-saucer-pdf-itext5</artifactId>
                <version>9.0.3</version>
            </dependency>
            <!--将html转换成pdf-->
            <dependency>
                <groupId>com.itextpdf</groupId>
                <artifactId>html2pdf</artifactId>
                <version>2.0.2</version>
            </dependency>
            <!--导入导出-->
            <dependency>
                <groupId>cn.afterturn</groupId>
                <artifactId>easypoi-base</artifactId>
                <version>4.2.0</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <repositories>
        <!--阿里云主仓库，代理了maven central和jcenter仓库-->
        <repository>
            <id>aliyun</id>
            <name>aliyun</name>
            <url>https://maven.aliyun.com/repository/public</url>
            <releases>
                <enabled>true</enabled>
            </releases>
            <snapshots>
                <enabled>false</enabled>
            </snapshots>
        </repository>
    </repositories>


    <pluginRepositories>
        <!--阿里云代理Spring 插件仓库-->
        <pluginRepository>
            <id>spring-plugin</id>
            <name>spring-plugin</name>
            <url>https://maven.aliyun.com/repository/spring-plugin</url>
            <releases>
                <enabled>true</enabled>
            </releases>
            <snapshots>
                <enabled>false</enabled>
            </snapshots>
        </pluginRepository>
    </pluginRepositories>

    <modules>
        <module>hz-pm-api</module>
        <module>hz-pm-sync</module>
    </modules>
</project>
